public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sanitize/
Date: Sat, 29 Oct 2016 06:19:13 +0000 (UTC)	[thread overview]
Message-ID: <1477721876.7c7020d746af4a41684b87c8868bb14a002d1794.graaff@gentoo> (raw)

commit:     7c7020d746af4a41684b87c8868bb14a002d1794
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 29 06:17:56 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 29 06:17:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c7020d7

dev-ruby/sanitize: add 4.4.0

Package-Manager: portage-2.3.0

 dev-ruby/sanitize/Manifest              |  1 +
 dev-ruby/sanitize/sanitize-4.4.0.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/sanitize/Manifest b/dev-ruby/sanitize/Manifest
index 57dffa4..350686a 100644
--- a/dev-ruby/sanitize/Manifest
+++ b/dev-ruby/sanitize/Manifest
@@ -1,3 +1,4 @@
 DIST sanitize-2.1.0.gem 20992 SHA256 c3be075f5b38a1b02404be5778b181e50fba9ab253bac851cb217d9a71375b77 SHA512 29a26e37342a75af2bc7795578edf2c5064263c58d38dfc36e18f1e111271616c026f7d808a05d63185c12f0e52384db84d62bdb796bf1b21d7e902ef0c1d096 WHIRLPOOL f07c3f7c3550b1e47e3189838a8c1c30c7cd856f237dde167516f25e86520fffe7357f87efd4f2fcf03230650fa55da0ff2d7870746c72c9897318f6dc935cc6
 DIST sanitize-4.2.0.tar.gz 1346791 SHA256 a2803fe2ec2cb817b235c1554218690d2450bbc653d0beafb9032a5df36bc592 SHA512 3a3d1041cb363a636b7aa2ad57a049565b64430b05bb8742d6aaaf81e3a79f14fb357caf8f14393e344b7315dfeefc7be217c53f8fbee04b3691f27f56e1108f WHIRLPOOL 4bd65c67533c1472520a65f96670f1c5766ceaf3f21bce829ae7e453d89eba0ca4c0c894fce6c825648178f90d641125d33bbe04b92062556d2a7d12e5cd6f26
 DIST sanitize-4.3.0.tar.gz 1346950 SHA256 f0d2bd4055474b90e9e263fe57f3a0b68000777650dab31dd78c7014d40afd9c SHA512 76ae6c9eb62ee6fff527f67d5e592406f1e6568c1dcbf528ac33cedae1b326ca4b9ba844a34f5ef271d8564c413e4467c5ea880c6cbbf3d41bc965853a40b299 WHIRLPOOL 30b369c3db4805438921c49b501c4bb49306048dad3aa68f6dfa0fdf219c8861326c054732326e27cdc09134ec54aa6888266f64d418a8638ad7ab3520c5115f
+DIST sanitize-4.4.0.tar.gz 1346967 SHA256 6dc4245523d66fdbe3e54d0918d713dbdcad29382946882d26d7114f91433d79 SHA512 6cd8ca61568fb792e282c0890a9dbc13c7568ad2874e22a48586c9457431905b5a83e468be4b5ce61de04984539cd60dd0705965652169412dff92a7e06656ff WHIRLPOOL 7533637ae4dfa9c7dabd8c14fb8c19a8856a8a1e1d8170054ac503ef21d6871ab63111f659e4b166acb12bccff07314ed20e317768ac58f00d294d974f7f31ab

diff --git a/dev-ruby/sanitize/sanitize-4.4.0.ebuild b/dev-ruby/sanitize/sanitize-4.4.0.ebuild
new file mode 100644
index 00000000..d101f57
--- /dev/null
+++ b/dev-ruby/sanitize/sanitize-4.4.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="HISTORY.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Sanitize is a whitelist-based HTML sanitizer"
+HOMEPAGE="https://github.com/rgrove/sanitize"
+SRC_URI="https://github.com/rgrove/sanitize/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+ruby_add_rdepend "
+	>=dev-ruby/crass-1.0.2 =dev-ruby/crass-1.0*
+	>=dev-ruby/nokogiri-1.4.4
+	>=dev-ruby/nokogumbo-1.4.1 =dev-ruby/nokogumbo-1.4*"
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+each_ruby_test() {
+	${RUBY} -Ilib test/test_sanitize.rb || die
+}


             reply	other threads:[~2016-10-29  6:19 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-29  6:19 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-05  7:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sanitize/ Hans de Graaff
2025-01-02 10:03 Hans de Graaff
2025-01-02 10:03 Hans de Graaff
2024-08-15  6:24 Hans de Graaff
2024-07-28  5:22 Hans de Graaff
2024-06-13  5:50 Hans de Graaff
2023-12-29  7:40 Hans de Graaff
2023-12-29  7:40 Hans de Graaff
2023-09-15  5:52 Hans de Graaff
2023-07-07  4:28 Hans de Graaff
2023-04-19 20:07 Hans de Graaff
2023-03-31  1:03 Sam James
2023-01-28  8:38 Hans de Graaff
2022-05-26  5:52 Hans de Graaff
2022-03-27 10:32 Hans de Graaff
2022-03-27 10:32 Hans de Graaff
2021-10-10 23:45 Sam James
2021-10-07 22:20 Marek Szuba
2021-10-04  5:51 Hans de Graaff
2021-01-12  7:08 Hans de Graaff
2021-01-07  7:48 Fabian Groffen
2021-01-07  6:45 Hans de Graaff
2020-08-07  4:38 Hans de Graaff
2020-07-05  6:56 Hans de Graaff
2020-06-17  5:56 Hans de Graaff
2020-06-13  4:42 Hans de Graaff
2019-09-17  4:56 Hans de Graaff
2019-02-23  7:16 Hans de Graaff
2019-02-23  7:16 Hans de Graaff
2018-07-25  6:13 Hans de Graaff
2018-06-16  6:12 Hans de Graaff
2018-05-20  6:20 Hans de Graaff
2018-04-01  5:19 Hans de Graaff
2018-01-30  5:34 Hans de Graaff
2018-01-30  5:34 Hans de Graaff
2017-06-07  5:09 Hans de Graaff
2017-06-07  5:09 Hans de Graaff
2016-12-24  3:14 Manuel Rüger
2016-09-22  6:06 Hans de Graaff
2016-09-22  6:06 Hans de Graaff
2016-08-24  5:24 Hans de Graaff
2016-07-19  5:58 Hans de Graaff
2016-07-19  5:58 Hans de Graaff
2016-04-17 14:43 Manuel Rüger
2015-12-17  7:14 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1477721876.7c7020d746af4a41684b87c8868bb14a002d1794.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox